import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { Checkbox } from "@react-components/input";
import { CommunicationIcon } from "@react-components/icons";
import { Label } from "@react-components/label";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Checkbox")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).build()).build();
}

function createCheckbox(_ref = {}) {
  let {
    text = "Milky Way"
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["text"]);

  return /*#__PURE__*/React.createElement(Checkbox, Object.assign({
    text: text
  }, otherProps));
}

createCheckbox.displayName = "createCheckbox";
stories().add("text", () => createCheckbox()).add("checked", () => createCheckbox({
  checked: true
})).add("indeterminate", () => createCheckbox({
  defaultIndeterminate: true
})).add("no text", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createCheckbox({
  text: null,
  className: "mr5"
}), createCheckbox({
  text: null,
  checked: true,
  className: "mr5"
}), createCheckbox({
  text: null,
  defaultIndeterminate: true
}))).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createCheckbox({
  disabled: true,
  className: "mr5"
}), createCheckbox({
  disabled: true,
  checked: true,
  className: "mr5"
}), createCheckbox({
  disabled: true,
  defaultIndeterminate: true,
  className: "mr5"
}), createCheckbox({
  disabled: true,
  text: null
}))).add("readonly", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createCheckbox({
  readOnly: true,
  className: "mr5"
}), createCheckbox({
  readOnly: true,
  checked: true,
  className: "mr5"
}), createCheckbox({
  readOnly: true,
  defaultIndeterminate: true,
  className: "mr5"
}), createCheckbox({
  readOnly: true,
  text: null
}))).add("icons", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createCheckbox({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  size: "small",
  className: "mr5"
}), createCheckbox({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  size: "small",
  className: "mr5"
}), createCheckbox({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  size: "small",
  className: "mr5"
}), createCheckbox({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "small"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createCheckbox({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  className: "mr5"
}), createCheckbox({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  className: "mr5"
}), createCheckbox({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  className: "mr5"
}), createCheckbox({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  label: /*#__PURE__*/React.createElement(Label, null, "6")
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createCheckbox({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  size: "large",
  className: "mr5"
}), createCheckbox({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  size: "large",
  className: "mr5"
}), createCheckbox({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  size: "large",
  className: "mr5"
}), createCheckbox({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "large"
})))).add("label", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createCheckbox({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  size: "small",
  className: "mr5"
}), createCheckbox({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "small"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createCheckbox({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  className: "mr5"
}), createCheckbox({
  label: /*#__PURE__*/React.createElement(Label, null, "6")
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createCheckbox({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  size: "large",
  className: "mr5"
}), createCheckbox({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "large"
})))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, createCheckbox({
  size: "small",
  className: "mr5"
}), createCheckbox({
  className: "mr5"
}), createCheckbox({
  size: "large"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, createCheckbox({
  size: "small",
  defaultChecked: true,
  className: "mr5"
}), createCheckbox({
  defaultChecked: true,
  className: "mr5"
}), createCheckbox({
  defaultChecked: true,
  size: "large"
}))));