import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { CommunicationIcon } from "@react-components/icons";
import { Label } from "@react-components/label";
import { Radio } from "@react-components/input";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Radio")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).build()).build();
}

function createRadio(_ref = {}) {
  let {
    text = "Milky Way"
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["text"]);

  return /*#__PURE__*/React.createElement(Radio, Object.assign({
    text: text
  }, otherProps));
}

createRadio.displayName = "createRadio";
stories().add("text", () => createRadio()).add("checked", () => createRadio({
  checked: true
})).add("no text", () => createRadio({
  text: null
})).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createRadio({
  disabled: true,
  className: "mr5"
}), createRadio({
  disabled: true,
  checked: true,
  className: "mr5"
}), createRadio({
  disabled: true,
  text: null
}))).add("readonly", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createRadio({
  readOnly: true,
  className: "mr5"
}), createRadio({
  readOnly: true,
  checked: true,
  className: "mr5"
}), createRadio({
  readOnly: true,
  text: null
}))).add("icons", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createRadio({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  size: "small",
  className: "mr5"
}), createRadio({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  size: "small",
  className: "mr5"
}), createRadio({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  size: "small",
  className: "mr5"
}), createRadio({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "small"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createRadio({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  className: "mr5"
}), createRadio({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  className: "mr5"
}), createRadio({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  className: "mr5"
}), createRadio({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  label: /*#__PURE__*/React.createElement(Label, null, "6")
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createRadio({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  size: "large",
  className: "mr5"
}), createRadio({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  size: "large",
  className: "mr5"
}), createRadio({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  size: "large",
  className: "mr5"
}), createRadio({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "large"
})))).add("label", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createRadio({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  size: "small",
  className: "mr5"
}), createRadio({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "small"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createRadio({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  className: "mr5"
}), createRadio({
  label: /*#__PURE__*/React.createElement(Label, null, "6")
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createRadio({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  size: "large",
  className: "mr5"
}), createRadio({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "large"
})))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex mb5"
}, createRadio({
  size: "small",
  className: "mr5"
}), createRadio({
  className: "mr5"
}), createRadio({
  size: "large"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createRadio({
  size: "small",
  defaultChecked: true,
  className: "mr5"
}), createRadio({
  defaultChecked: true,
  className: "mr5"
}), createRadio({
  defaultChecked: true,
  size: "large"
})))).add("group", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement(Radio, {
  text: "Mars",
  name: "checkboxRadioGroup",
  value: "mars",
  className: "mb2"
}), /*#__PURE__*/React.createElement(Radio, {
  text: "Moon",
  name: "checkboxRadioGroup",
  value: "moon",
  className: "mb2"
}), /*#__PURE__*/React.createElement(Radio, {
  text: "Venus",
  name: "checkboxRadioGroup",
  value: "venus"
})));