import _objectWithoutProperties from "@babel/runtime/helpers/esm/objectWithoutProperties";
import React from "react";
import { CommunicationIcon } from "@react-components/icons";
import { Label } from "@react-components/label";
import { Toggle } from "@react-components/input";
import { createChromaticSection, paramsBuilder, storiesOfBuilder } from "@utils";

function stories(segment) {
  return storiesOfBuilder(module, createChromaticSection("Toggle")).segment(segment).parameters(paramsBuilder().chromaticDelay(100).build()).build();
}

function createToggle(_ref = {}) {
  let {
    text = "Milky Way"
  } = _ref,
      otherProps = _objectWithoutProperties(_ref, ["text"]);

  return /*#__PURE__*/React.createElement(Toggle, Object.assign({
    text: text
  }, otherProps));
}

createToggle.displayName = "createToggle";
stories().add("text", () => createToggle()).add("checked", () => createToggle({
  checked: true
})).add("no text", () => createToggle({
  text: null
})).add("disabled", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createToggle({
  disabled: true,
  className: "mr5"
}), createToggle({
  disabled: true,
  checked: true,
  className: "mr5"
}), createToggle({
  disabled: true,
  text: null
}))).add("readonly", () => /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createToggle({
  readOnly: true,
  className: "mr5"
}), createToggle({
  readOnly: true,
  checked: true,
  className: "mr5"
}), createToggle({
  readOnly: true,
  text: null
}))).add("icons", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createToggle({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  size: "small",
  className: "mr5"
}), createToggle({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  size: "small",
  className: "mr5"
}), createToggle({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  size: "small",
  className: "mr5"
}), createToggle({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "small"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createToggle({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  className: "mr5"
}), createToggle({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  className: "mr5"
}), createToggle({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  className: "mr5"
}), createToggle({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  label: /*#__PURE__*/React.createElement(Label, null, "6")
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createToggle({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  text: null,
  size: "large",
  className: "mr5"
}), createToggle({
  icons: /*#__PURE__*/React.createElement(CommunicationIcon, null),
  size: "large",
  className: "mr5"
}), createToggle({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  size: "large",
  className: "mr5"
}), createToggle({
  icons: [/*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null), /*#__PURE__*/React.createElement(CommunicationIcon, null)],
  size: "large",
  label: /*#__PURE__*/React.createElement(Label, null, "6")
})))).add("label", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createToggle({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  size: "small",
  className: "mr5"
}), createToggle({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "small"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex",
  style: {
    marginBottom: "150px"
  }
}, createToggle({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  className: "mr5"
}), createToggle({
  label: /*#__PURE__*/React.createElement(Label, null, "6")
})), /*#__PURE__*/React.createElement("div", {
  className: "flex"
}, createToggle({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  text: null,
  size: "large",
  className: "mr5"
}), createToggle({
  label: /*#__PURE__*/React.createElement(Label, null, "6"),
  size: "large"
})))).add("size", () => /*#__PURE__*/React.createElement("div", {
  className: "flex flex-column"
}, /*#__PURE__*/React.createElement("div", {
  className: "flex items-end mb5"
}, createToggle({
  size: "small",
  className: "mr5"
}), createToggle({
  className: "mr5"
}), createToggle({
  size: "large"
})), /*#__PURE__*/React.createElement("div", {
  className: "flex items-end"
}, createToggle({
  size: "small",
  defaultChecked: true,
  className: "mr5"
}), createToggle({
  defaultChecked: true,
  className: "mr5"
}), createToggle({
  defaultChecked: true,
  size: "large"
}))));